import { Scope } from '../../../scope';
import { Source } from '../../../scope/models';
import { Ref } from '../../../scope/objects';
import { ArtifactVinyl } from './artifact';
export declare type ArtifactRef = {
    relativePath: string;
    ref: Ref;
};
export declare type ArtifactModel = {
    relativePath: string;
    file: string;
};
export declare type ArtifactSource = {
    relativePath: string;
    source: Source;
};
export declare class Artifacts {
    vinyls: ArtifactVinyl[];
    refs: ArtifactRef[];
    constructor(vinyls?: ArtifactVinyl[], refs?: ArtifactRef[]);
    clone(): Artifacts;
    fromVinylsToSources(): ArtifactSource[];
    populateRefsFromSources(sources: ArtifactSource[]): void;
    toModelObjects(): ArtifactModel[];
    getExistingVinyls(): ArtifactVinyl[];
    isEmpty(): boolean;
    static fromModel(refs: ArtifactRef[]): Artifacts;
    getVinylsAndImportIfMissing(scopeName: string, scope: Scope): Promise<ArtifactVinyl[]>;
}
